/* ------------------------- Lenis Smooth Scroll ------------------------- */
html.lenis,
html.lenis body {
  height: auto;
}

.lenis.lenis-smooth {
  scroll-behavior: auto !important;
}

.lenis.lenis-smooth [data-lenis-prevent] {
  overscroll-behavior: contain;
}

.lenis.lenis-stopped {
  overflow: clip;
}

html.cookie-prefs-open,
body.cookie-prefs-open {
  overflow: hidden !important;
  overscroll-behavior: none;
}

.fs-cc-prefs_content {
  overflow-y: auto;
  overscroll-behavior: contain;
  -webkit-overflow-scrolling: touch;
}



/* ------------------------- Nav Section ------------------------- */
[data-twostep-nav]{
  --cubic-default: cubic-bezier(0.625, 0.05, 0, 1);
  --animation-ease: 0.2s ease;
  
  --duration-default: 0.5s;
  --duration-default-long: 0.75s; 
  --duration-default-half: 0.25s; 
  
  --animation-default: var(--duration-default) var(--cubic-default);
  --animation-default-long: var(--duration-default-long) var(--cubic-default);
  --animation-default-half: var(--duration-default-half) var(--cubic-default);
}


/* Menu button */
.twostep-nav__toggle-bar{
  transition: transform var(--animation-default);
  transform: translateY(-0.25em) rotate(0.001deg);  
}

.twostep-nav__toggle:hover .twostep-nav__toggle-bar {
  transform: translateY(0.25em) rotate(0.001deg);
}

.twostep-nav__toggle .twostep-nav__toggle-bar:nth-child(2) {
  transform: translateY(0.15em) rotate(0.001deg);
}

.twostep-nav__toggle:hover .twostep-nav__toggle-bar:nth-child(2) {
  transform: translateY(-0.15em) rotate(0.001deg);
}

[data-nav-status="active"] .twostep-nav__toggle .twostep-nav__toggle-bar {
  transform: translateY(0em) rotate(45deg);
}

[data-nav-status="active"] .twostep-nav__toggle .twostep-nav__toggle-bar:nth-child(2) {
  transform: translateY(0em) rotate(-45deg);
}


/* Page dark overlay */
.twostep-nav__bg {
  transition: opacity var(--animation-default), visibility var(--animation-default);
}

[data-nav-status="active"] .twostep-nav__bg {
  opacity: 1;
  visibility: visible;
}


/* Inner bar grow */
.twostep-nav__bar {
  transition: max-width var(--animation-default-long) 0.2s;
}

[data-nav-status="active"] .twostep-nav__bar {
  transition: max-width var(--animation-default) 0s;
  max-width: 100%;
}


/* Thin line in nav bar */
.twostep-nav__top-line {
  transition: all var(--animation-default) 0s;
  opacity: 0;
}

[data-nav-status="active"] .twostep-nav__top-line {
  transition: all var(--animation-default) 0.1s;
  opacity: 1;
}

@media screen and (max-width: 767px) {

  .twostep-nav__top-line {
    inset: auto 1em -0.5em;
  }
  
  [data-nav-status="active"] .twostep-nav__top-line {
    transition: all var(--animation-default) 0.2s;
    inset: auto 0em -0.5em;
  }
}


/* Nav bar background */
.twostep-nav__bar__bg,
[data-nav-status="active"] .twostep-nav__back-bg{
  transition: background-color var(--animation-ease);
}

.twostep-nav__back{
  transition: all var(--animation-default);
  inset: 0em;
}

[data-nav-status="active"]  .twostep-nav__back {
  inset: -0.25em;
}

@media screen and (max-width: 767px) {
  
  [data-nav-status="active"]  .twostep-nav__back {
    inset: -1.25em;
  }  
  
}



/* Nav bottom */
.twostep-nav__bottom {
  transition: grid-template-rows var(--animation-default) 0s;
}

[data-nav-status="active"] .twostep-nav__bottom {
  transition: grid-template-rows var(--animation-default-long) 0.25s;
  grid-template-rows: 1fr;
}

@media screen and (max-width: 767px) {
  
  .twostep-nav__bottom {
    transition: grid-template-rows var(--animation-default) 0s, transform var(--animation-default) 0s;
    transform: translateY(-0.625em);
  }
  
  [data-nav-status="active"] .twostep-nav__bottom {
    transition: grid-template-rows var(--animation-default-long) 0.25s, transform var(--animation-default) 0.25s;
    transform: translateY(0em);
  }
}


/* Nav columns reveal */
.twostep-nav__bottom-row > * {
  transition: all var(--animation-default) 0s;
  transform: translateY(2em);
  opacity: 0;
}

.twostep-nav__bottom-row > *:nth-child(2) {
 transition-delay: 0.075s;
}

[data-nav-status="active"] .twostep-nav__bottom-row > * {
  transition: all var(--animation-default-long) 0.5s;
  transform: translateY(0em);
  opacity: 1;
}

[data-nav-status="active"] .twostep-nav__bottom-row > *:nth-child(2) {
  transition-delay: 0.575s;
}



/* ------------------------- CTA Button ------------------------- */

[data-button-anim-target] {
  transition:
    transform 0.525s cubic-bezier(0.625, 0.05, 0, 1),
    color 0.525s cubic-bezier(0.625, 0.05, 0, 1),
    background-color 0.525s cubic-bezier(0.625, 0.05, 0, 1);
}

.btn-icon-content__text {
  --text-duplicate-distance: 1.5em;
  text-shadow: 0px var(--text-duplicate-distance) currentColor;
}

@media (hover:hover) and (pointer:fine) {
  .btn-icon-link:hover .btn-icon-content__text {
    transform: translate(0px, calc(-1 * var(--text-duplicate-distance)));
    color: var(--dark);
  }

  .btn-icon-link:hover .btn-icon-icon__bg {
    transform: rotate(90deg);
    background-color: var(--dark);
  }

  .btn-icon-link:hover .btn-icon-icon__arrow {
    transform: translate(200%, 0px);
    color: var(--light);
  }

  .btn-icon-link:hover .btn-icon-content__bg {
    transform: translate(0px, 0%) rotate(0deg);
  }
}



/* ------------------------- Radial Cards Slider ------------------------- */
[data-radial-slider-init] {
  --slider-rotate: 30deg;
  --slider-radius: 390%;
}

[data-radial-slider-list] > :first-child {
  position: relative;
}

.radial-gsap-slider__control-dot[data-radial-slider-control-status="active"] {
  color: #ABA994;
}

/* Tablet */
@media screen and (max-width: 991px) {
  [data-radial-slider-init] {
    --slider-rotate: 24deg;
    --slider-radius: 455%;
  }
}

/* Mobile */
@media screen and (max-width: 767px) {
  [data-radial-slider-init] {
    --slider-rotate: 24deg;
    --slider-radius: 475%;
  }

  [data-radial-slider-item] {
    width: 15em;
  }
}

/* Webflow Designer only */
:is(.wf-design-mode, .wf-editor) [data-radial-slider-list] {
  justify-content: flex-start;
  overflow: scroll;
  gap: 1.5rem;
}

:is(.wf-design-mode, .wf-editor) [data-radial-slider-item] {
  position: relative;
}

@media screen and (max-width: 991px) {
  :is(.wf-design-mode, .wf-editor) [data-radial-slider-list] {
    gap: 1rem;
  }
}



/* ------------------------- Radial Slider Arrow Buttons ------------------------- */

/* Default arrow color */
.radial-gsap-slider__controls [data-radial-slider-control] .slider-left-arrow,
.radial-gsap-slider__controls [data-radial-slider-control] .slider-right-arrow,
.radial-gsap-slider__controls [data-radial-slider-control] .slider-left-arrow svg,
.radial-gsap-slider__controls [data-radial-slider-control] .slider-right-arrow svg,
.radial-gsap-slider__controls [data-radial-slider-control] .slider-left-arrow path,
.radial-gsap-slider__controls [data-radial-slider-control] .slider-right-arrow path {
  color: var(--light) !important;
  stroke: var(--light) !important;
  transition:
    color 0.525s cubic-bezier(0.625, 0.05, 0, 1),
    stroke 0.525s cubic-bezier(0.625, 0.05, 0, 1);
}

/* Keep CTA background wipe animation */
.radial-gsap-slider__controls [data-radial-slider-control] .btn-icon-content__bg {
  transition: transform 0.525s cubic-bezier(0.625, 0.05, 0, 1);
}

@media (hover:hover) and (pointer:fine) {
  .radial-gsap-slider__controls [data-radial-slider-control]:hover .slider-left-arrow,
  .radial-gsap-slider__controls [data-radial-slider-control]:hover .slider-right-arrow,
  .radial-gsap-slider__controls [data-radial-slider-control]:hover .slider-left-arrow svg,
  .radial-gsap-slider__controls [data-radial-slider-control]:hover .slider-right-arrow svg,
  .radial-gsap-slider__controls [data-radial-slider-control]:hover .slider-left-arrow path,
  .radial-gsap-slider__controls [data-radial-slider-control]:hover .slider-right-arrow path {
    color: var(--dark) !important;
    stroke: var(--dark) !important;
  }

  .radial-gsap-slider__controls [data-radial-slider-control]:hover .btn-icon-content__bg {
    transform: translate(0px, 0%) rotate(0deg);
  }
}


/* ------------------------- Process Section ------------------------- */

/* Marker inside active step item */ 
[data-step-timeline-item][data-status="active"] [data-step-timeline-marker] {
  background-color: var(--light);
  color: var(--dark);
  border-color: var(--light-10);
}

/* Marker inside current step item */   
[data-step-timeline-item][data-current] [data-step-timeline-marker] {
  background-color: var(--light);
  color: var(--dark);
  border-color: var(--light-30);
  box-shadow: 0 0 0 0.5em var(--light-10);
}

/* Inactive state of the content wrapper */ 
[data-step-timeline-item] .step-timeline__content {
  opacity: 0.25;
}  

/* Active previous/current content */ 
[data-step-timeline-item][data-status="active"] .step-timeline__content {
  opacity: 0.5;
}   
  
/* Current content */ 
[data-step-timeline-item][data-current] .step-timeline__content {
  opacity: 1;
}



/* ------------------------- FAQs Section ------------------------- */
.accordion-css__item-bottom {
  grid-template-rows: 0fr;
  transition: grid-template-rows 0.6s cubic-bezier(0.625, 0.05, 0, 1);
  overflow: hidden;
}

[data-accordion-status="active"] .accordion-css__item-bottom {
  grid-template-rows: 1fr;
}

.accordion-css__item-icon {
  transition: transform 0.6s cubic-bezier(0.625, 0.05, 0, 1);
  transform: rotate(180deg);
}

[data-accordion-status="active"] .accordion-css__item-icon {
  transform: rotate(0deg);
}



/* ------------------------- Form Section ------------------------- */
/* Field: Error */
[data-validate].is--error input,
[data-validate].is--error textarea {
  border-color: #FF4C24;
}

[data-validate].is--error .form-field-icon.is--error {
  opacity: 1;
}

/* Field: Success */
[data-validate].is--success .form-field-icon.is--success {
  opacity: 1;
}


